#ifndef __WINDOW1_35D18DEA__
#define __WINDOW1_35D18DEA__

#include <qpushbt.h>
#include <qlabel.h>
#include <qframe.h>
#include <qwindow.h>
#include <kprogress.h>
#include <kslider.h>

class status_window : public QWindow {
	Q_OBJECT
public:
	status_window(QWidget *parent=NULL, const char *name=NULL, unsigned int get_write_nr=0);
	~status_window();

	KProgress *KProgress_read;
	KProgress *KProgress_write[6];
	KProgress *KProgress_total;
	QLabel    *QLabel_led_read;
	QLabel    *QLabel_led_write[6];
	QLabel    *QLabel_led_total;
	QLabel    *QLabel_Status_read;
	QLabel    *QLabel_Status_write;
	QLabel    *QLabel_Status_total;
	KSlider   *KSlider_nice;
	QPushButton *QPushButton_Status_Cancel;

public slots:
	void read_led( bool );
	void total_led( bool );
	void write_led( bool, unsigned int );
signals:
	void destroy_status();
	void send_signal( unsigned int );
	void renice( int );
protected:
protected slots:
private:
	QFrame *QFrame_Status;
	QPushButton *QPushButton_Status_Stop;
	QTimer *QTimer_blinker;
	
	QString led_out, 
		led_ready, 
		led_run;
	const char *led_out_p,
		   *led_ready_p,
		   *led_run_p;
	bool stop,
	     led_read_on,
	     led_total_on,
	     led_write_on[6],
	     led_read_blink,
	     led_write_blink[6];
	unsigned int write_nr;

private slots:
	void cancel();
	void stop_func();
	void KSlider_nice_moved( int );
	void initLayout(void);
	void closeEvent( QCloseEvent * );
	void blinker();
};
#endif /* __WINDOW1_35D18DEA__ */
